Bug 648917 - publican publish adds javascript to htmls
publican publish adds javascript to htmls
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 10:03 EDT by John J. McDonough
Modified: 2010-12-17 09:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 00:36:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2010-11-02 10:03:00 EDT
Description of problem:
HTML files produced by publican 2 contain embedded javascript

Version-Release number of selected component (if applicable):
2.3-0.fc13

How reproducible:
reproducible

Steps to Reproduce:
1. publican publish -f html ...
2. examine produced html
3.
  
Actual results:
html contains javascript with no <noscript> alternative

Expected results:
Straight html

Additional info:
We have gotten bugs before on docs.fp.o due to the javascript in the menu.  Embedding javascript into every html makes this a much more difficult problem to solve.  Many users disable javascript due to security concerns.  If javascript is required, there should at least be a <noscript> alternative.
Comment 1 Jeff Fearn 2010-11-09 00:04:43 EST
The menu requires java script and a message is displayed warning the suer that the menu won't function if java script is disabled.

The java script on the page is to allow the menu to track which page is loaded and render the menu in a user friendly way.

"Straight html" isn't an option without reducing the menu functionality.

What content should go in the noscript area?
Comment 2 Ruediger Landmann 2010-12-17 00:36:39 EST
John, we talked about this at a Fedora meeting some time ago now; I think you were confused by how a page looked in isolation when there was no navigation iframe to actually load. This has nothing to do with Javascript; if you visit a Publican-generated website with Javascript turned off, the site navigation gracefully degrades to a static navigation page without any bells and whistles.

I'm closing this NOTABUG; if there's a specific problem caused by the Javascript on a docs site, please open a fresh bug and describe the specific issue.

Cheers
Rudi
Comment 3 John J. McDonough 2010-12-17 09:36:41 EST
Rudi, I agree.  I should have closed this after our meeting.

Note You need to log in before you can comment on or make changes to this bug.